{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}


    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        formConfig: {
            items: [
                new mj.form.field({
                    dataIndex: 'id',
                    hidden: true
                }),
                new mj.form.field({
                    dataIndex: 'version',
                    hidden: true
                }),
                new mj.form.textField({
                    title: "{{ 'CaseLocation.stockcode'|trans }}",
                    dataIndex: 'stockcode',
                    maxLength: 50,
                    width:150,
                    labelWidth : '110px',
                    grid: 's12 m6'
                }),
                new mj.form.textField({
                    title: "{{ 'CaseLocation.location'|trans }}",
                    dataIndex: 'location',
                    maxLength: 50,
                    width:150,
                    labelWidth : '110px',
                    grid: 's12 m6'
                })
            ]
        },
        gridConfig : {
            cm: [
                {header: "{{ 'CaseLocation.stockcode'|trans }}", dataIndex: 'stockcode', width: 250,filter:'single',alias:'cl',operator:'%.%'},
                {header: "{{ 'CaseLocation.location'|trans }}", dataIndex: 'location', width: 250,filter:'single',alias:'cl',operator:'%.%'}
            ]
        },
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
